<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:37 CEST 2019 -->
<title>org.firebirdsql.gds Class Hierarchy (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.firebirdsql.gds Class Hierarchy (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/extern/decimal/package-tree.html">Prev</a></li>
<li><a href="../../../org/firebirdsql/gds/impl/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/gds/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.firebirdsql.gds</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/ClumpletReader.html" title="class in org.firebirdsql.gds"><span class="typeNameLink">ClumpletReader</span></a></li>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/GDSExceptionHelper.html" title="class in org.firebirdsql.gds"><span class="typeNameLink">GDSExceptionHelper</span></a></li>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/GDSExceptionHelper.GDSMessage.html" title="class in org.firebirdsql.gds"><span class="typeNameLink">GDSExceptionHelper.GDSMessage</span></a></li>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/JaybirdSystemProperties.html" title="class in org.firebirdsql.gds"><span class="typeNameLink">JaybirdSystemProperties</span></a></li>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/ParameterBufferHelper.html" title="class in org.firebirdsql.gds"><span class="typeNameLink">ParameterBufferHelper</span></a></li>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/ParameterBufferHelper.DpbParameterType.html" title="class in org.firebirdsql.gds"><span class="typeNameLink">ParameterBufferHelper.DpbParameterType</span></a></li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Throwable</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Exception</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/GDSException.html" title="class in org.firebirdsql.gds"><span class="typeNameLink">GDSException</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/VaxEncoding.html" title="class in org.firebirdsql.gds"><span class="typeNameLink">VaxEncoding</span></a></li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/BlrConstants.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">BlrConstants</span></a></li>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">EventHandle</span></a></li>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/EventHandler.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">EventHandler</span></a></li>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/ISCConstants.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">ISCConstants</span></a></li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Iterable</span></a>&lt;T&gt;
<ul>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">ParameterBuffer</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">BlobParameterBuffer</span></a></li>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/ConnectionParameterBuffer.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">ConnectionParameterBuffer</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">DatabaseParameterBuffer</span></a></li>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">ServiceParameterBuffer</span></a></li>
</ul>
</li>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">ServiceRequestBuffer</span></a></li>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">TransactionParameterBuffer</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">JaybirdErrorCodes</span></a></li>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">Parameter</span></a></li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Enum</span></a>&lt;E&gt; (implements java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;T&gt;, java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/ParameterTagMapping.html" title="enum in org.firebirdsql.gds"><span class="typeNameLink">ParameterTagMapping</span></a></li>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/ParameterBufferHelper.DpbValueType.html" title="enum in org.firebirdsql.gds"><span class="typeNameLink">ParameterBufferHelper.DpbValueType</span></a></li>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/ClumpletReader.Kind.html" title="enum in org.firebirdsql.gds"><span class="typeNameLink">ClumpletReader.Kind</span></a></li>
<li type="circle">org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/ClumpletReader.ClumpletType.html" title="enum in org.firebirdsql.gds"><span class="typeNameLink">ClumpletReader.ClumpletType</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/extern/decimal/package-tree.html">Prev</a></li>
<li><a href="../../../org/firebirdsql/gds/impl/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/gds/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
